<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<#if editor.getEditorParam("PICKUPVIEW",true)??>
  <#if editor.getPickupPSAppView()??>
<app-picker 
    :formState="viewState"
    :data="layoutData"
    :context="context"
    :viewparams="viewparams"
    :localContext=<@getNavigateContext editor />
    :localParam=<@getNavigateParams editor />
    :disabled="layoutModelDetails.${editor.name}.disabled"
    <#if item.getPlaceHolder()??>
    placeholder="${item.getPlaceHolder()}"
    </#if>
    name='${editor.name}'
    <#if editor.getEditorParam("PICKUPDATA", "") != "">pickUpData="${editor.getEditorParam("PICKUPDATA", "")}"</#if>
    <#if editor.getPSAppDEACMode?? && editor.getPSAppDEACMode()??>
    <#assign appDeAcMode = editor.getPSAppDEACMode() />
    deMajorField='${appDeAcMode.getTextPSAppDEField().getCodeName()?lower_case}'
    deKeyField='<#if appDeAcMode.getValuePSAppDEField().getCodeName() == editor.getPSAppDataEntity().getKeyPSAppDEField().getCodeName()>${editor.getPSAppDataEntity().getCodeName()?lower_case}<#else>${appDeAcMode.getValuePSAppDEField().getCodeName()?lower_case}</#if>'
    <#else>
    <#if editor.getPSAppDataEntity?? && editor.getPSAppDataEntity()??>
    deMajorField='${editor.getPSAppDataEntity().getMajorPSAppDEField().getCodeName()?lower_case}'
    deKeyField='${editor.getPSAppDataEntity().getCodeName()?lower_case}'
    </#if>
    </#if>
    :service="service"
    <#if editor.getPSAppDEACMode?? && editor.getPSAppDEACMode()??>
    <#if editor.getPSAppDEACMode().getMinorSortPSDEF?? && editor.getPSAppDEACMode().getMinorSortPSDEF()?? && editor.getPSAppDEACMode().getMinorSortDir?? && editor.getPSAppDEACMode().getMinorSortDir()??>
    <#if editor.getPSAppDEACMode().getMinorSortDir() == 'ASC' || editor.getPSAppDEACMode().getMinorSortDir() == 'DESC'>
    sort='${editor.getPSAppDEACMode().getMinorSortPSDEF().getCodeName()?lower_case},${editor.getPSAppDEACMode().getMinorSortDir()?lower_case}'
    </#if>
    </#if>
    <#if editor.getPSAppDEACMode().getPSDEUIActionGroup?? && editor.getPSAppDEACMode().getPSDEUIActionGroup()??>
    <#assign editorActionGroup = editor.getPSAppDEACMode().getPSDEUIActionGroup() />
    <#if editorActionGroup.getPSUIActionGroupDetails?? && editorActionGroup.getPSUIActionGroupDetails()??>
    :actionDetails="[<#compress>
    <#list editorActionGroup.getPSUIActionGroupDetails() as actionDetail>
    <#if actionDetail.getPSUIAction?? && actionDetail.getPSUIAction()??>
    <#assign uiaction = actionDetail.getPSUIAction() />
    {caption:'${uiaction.getCaption()}',tag:${editor.name}_editor_${actionDetail.getName()}_click}<#if actionDetail_has_next>,</#if>
    </#if>
    </#list>
    </#compress>]"
    @editoractionclick="onFormItemActionClick"
    </#if>
    </#if>
    </#if>
    :acParams=<@getAcParams editor />
    <#if editor.getValueItemName??>
    valueitem="${editor.getValueItemName()}"
    </#if>
    :value="layoutData.${editor.name}" 
    editortype="" 
    :pickupView=<@getPickupView editor />
    style="${editor.getEditorCssStyle()}"  
    @formitemvaluechange="handleValueChange">
    <@getItemRender editor />
</app-picker>
  </#if>
</#if>
</#if>